Home

# Class goog.vec.Ray

Constructs a new ray with an optional origin and direction. If not specified, the default is [0, 0, 0].

Instance Method Summary
| `equals(?goog.vec.Ray other) ⇒ boolean` Returns true if this ray is equal to the other ray.
| `set(?goog.vec.AnyType origin, ?goog.vec.AnyType dir)` Sets the origin and direction of the ray.
| `setDir(?goog.vec.AnyType dir)` Sets the direction of the ray.
| `setOrigin(?goog.vec.AnyType origin)` Sets the origin of the ray.